if (JIRA.Components && 
JIRA.Components.IssueEditor && 
JIRA.Components.IssueEditor.Controllers && 
JIRA.Components.IssueEditor.Controllers.EditIssue) 
{
    var createFieldView = JIRA.Components.IssueEditor.Controllers.EditIssue.prototype.createFieldView;

    var viewCreated = {};
    var skippedAsReadonly = {};

    JIRA.Components.IssueEditor.Controllers.EditIssue.prototype.createFieldView = function() {
        var fieldModel = arguments[0];
        var fieldId = fieldModel.id;
                
        var editHtml = fieldModel.getEditHtml();
        var $editHtml = jQuery(editHtml);
        var $jfsReadOnly = $editHtml.find(".jfs-readonly");
        
        if ( $jfsReadOnly.length == 0) {
            if ( ! ( viewCreated.hasOwnProperty(fieldId) && skippedAsReadonly.hasOwnProperty(fieldId) ) ) {
                createFieldView.apply(this, arguments);
                viewCreated[fieldId] = true;
            }
        } else {
            skippedAsReadonly[fieldId] = true;
        }
    }
}

if (JIRA && 
JIRA.Components && 
JIRA.Components.IssueEditor && 
JIRA.Components.IssueEditor.Views && 
JIRA.Components.IssueEditor.Views.FieldView) 
{
    var decorate = JIRA.Components.IssueEditor.Views.FieldView.prototype.decorate;
    JIRA.Components.IssueEditor.Views.FieldView.prototype.decorate = function() {
        if (!this.$el.hasClass("jfs-readonly")) {
            decorate.apply(this, arguments);
        }
    }

    var delegateEvents = JIRA.Components.IssueEditor.Views.FieldView.prototype.delegateEvents;
    JIRA.Components.IssueEditor.Views.FieldView.prototype.delegateEvents = function() {
        if (!this.$el.hasClass("jfs-readonly")) {
            delegateEvents.apply(this, arguments);
        }
    }
}